version: '2.1'

services:
  pbs:
    image: ayufan/proxmox-backup-server:latest
    container_name: pbs
    hostname: pbs
    mem_limit: 2G
    environment:
      - TZ=Europe/Moscow
      - PUID=1024  # UID пользователя Synology (замените на ваш)
      - PGID=100   # GID группы users (замените на ваш)
    volumes:
      - /volume1/pbs/etc:/etc/proxmox-backup
      - /volume1/pbs/logs:/var/log/proxmox-backup
      - /volume1/pbs/lib:/var/lib/proxmox-backup
      - /volume1/pbs/backups:/backups
    tmpfs:
      - /run
    ports:
      - 8007:8007
    restart: unless-stopped
    stop_signal: SIGHUP